package entity

import "time"

type WorkOrder struct {
	Id          int       `json:"id" xorm:"pk autoincr" `           // id
	OrderName   string    `json:"order_name" xorm:"order_name"`     // 工单名称
	OrderLevel  int       `json:"order_level" xorm:"order_level"`   // 工单等级(1紧急任务 2重要任务 3一般任务)
	OrderDesc   string    `json:"order_desc" xorm:"order_desc"`     // 工单描述
	OrderCnt    int       `json:"order_cnt" xorm:"order_cnt"`       // 实例工单数
	PushObj     string    `json:"push_obj" xorm:"push_obj"`         // 推送对象
	TimingType  int       `json:"timing_type" xorm:"timing_type"`   // 定时类型（1手动下发 2按周 3自定义时间）
	TimingRule  string    `json:"timing_rule" xorm:"timing_rule"`   // 定时规则
	TimingState int       `json:"timing_state" xorm:"timing_state"` // 定时状态（0禁用 1启用）
	CreateUser  string    `json:"create_user"  xorm:"create_user" ` // 创建人
	CreateTime  time.Time `json:"create_time" xorm:"create_time" `  // 创建时间
	UpdateUser  string    `json:"update_user"  xorm:"update_user"`  // 修改人
	UpdateTime  time.Time `json:"update_time" xorm:"update_time" `  // 修改时间
}
